module key_memory
#(
	parameter DATA_WIDTH = 128
)
(
    input 				   		clk_i	    ,
    input 				   		reset_ni	,
    input      [DATA_WIDTH-1:0] global_key_i,
	output reg [DATA_WIDTH-1:0] global_key_o
);

always @(posedge clk_i or negedge reset_ni) begin
    if(~reset_ni)
        global_key_o <= 'b0;
    else
        global_key_o <= global_key_i;
end

endmodule