module posedge_detect(
    input clk_i,
    input reset_ni,
    input enable_i,
    output reg round_counter_start_o
);

reg enable_ff;

always @(posedge clk_i or negedge reset_ni) begin
    if(~reset_ni)
        enable_ff <= 'b0;
    else
        enable_ff <= enable_i;
end

always @* begin
    round_counter_start_o = ~enable_ff && enable_i;
end
endmodule